npm包管理器小节一下,install的时候报错

By admin in 4858美高梅 on 2019年4月19日

在求学vue的时候,npm install的时候报错  npm err code
壹,当时很郁闷,是‘vue init webpack my-project’命令新建的模板项目
,怎么会报错,第二遍碰到那样的标题,很抑郁。

在攻读vue的时候,npm install的时候报错  npm err code
壹,当时很烦心,是‘vue init webpack my-project’命令新建的模版项目
,怎么会报错,第叁回遇上这样的主题材料,很烦恼。

淘宝npm镜像cnpm设置

yarn,想必大家都并面生。固然大家不通晓它是个什么东西的时候,说到npm,一定很熟习了吧。yarn也是和npm的功力雷同,都以几个包管理工科具。yarn是Twitter(Instagram)的产品。想比npm,yarn感到越来越强劲,而且感觉更加好用。尤其是一个协会一齐付出的时候。大概共青团和少先队中的使用的1些包名版本不壹致,yarn会分局面包车型地铁package中,自动下载各自的版本包,假若运用npm,包版本不一样等就大概会报错。由于刚先生伊始接触前端,水平相比较初级,希望我们建议宝贵的见识,多谢。
上面简单介绍一下yarn的施用,创设1个vue项目.

于是就问了度娘,然后 使用了‘ npm i -g npm ’ 命令,然后再 npm
install,npm run dev 的时候就不足为奇能开发银行项目了。

于是乎就问了度娘,然后 使用了‘ npm i -g npm ’ 命令,然后再 npm
install,npm run dev 的时候就屡见不鲜能运转项目了。

  npm install -g cnpm –registry=

1、yarn的安装

表明:yarn的利用也是和npm同样,此前要设置好nodejs环境。假设没有安装,请先安装nodejs.
yarn的中文文书档案地址,上面有详尽的地址。
npm包管理器小节一下,install的时候报错。https://yarnpkg.com/zh-Hans/docs
yarn命令的主导使用,它的下令基本和npm的采纳同1,会有微小的差距。
https://yarnpkg.com/zh-Hans/docs/cli/

yarn的设置因为文书档案中有详细的牵线,在那边就不在壹一介绍。请参见官方文书档案举行安装。
https://yarnpkg.com/zh-Hans/docs/install

 

2、构建vue项目

//安装vue脚手架,这是营造vue项目标工具-g为全局安装
npm install -g vue-cli
//使用webpack打包工具
vue init webpack my-project
//之后会唤起有个别音讯,全部精选yes,平昔敲回车就可以
//完毕将来,进入到创制的品类根目录下
cd my-project
//安装正视包
yarn
//表达:yarn是yarn install的简写,可径直敲击yarn,效率和npm
install同样
//最终运转项目
yarn run dev
//浏览器会自行展开运行贰个页面,出现以下页面,表达成功了。

4858美高梅 1

image.png

其它,新创制的档次暗中同意是行使8080端口的,假如端口被侵占恐怕是索要改造端口的,进入都项目中的根目录中,有个config文件,上边有个index.js文件,在中间更动本身的端口号就可以。

4858美高梅 2

image.png

更新npm的版本

npm install npm -g 要牢记全局更新

Taobao镜像命令:cnpm install npm -g 天猫商城镜像会十分的快

 

// 使用   

  如安装vue:

  cnpm install vue

 

用来查阅Computer最顶部环境设置了什么全局包,可查看到版本号

  windows环境下:    npm list –depth=0 -g 

  Linux或者mac环境下:cnpm ls -g –depth=1 2>/dev/null | grep
generator-

 

您能够接纳以下命令来查阅全体全局安装的模块:

npm list -g

 

卸载模块

npm uninstall 模块名

如:npm uninstall vue

 

更新模块

npm update vue

 

搜索模块

npm search vue

 

始建立模型块

npm init

4858美高梅 , 

 

在用npm install 时,总是出现如下错误:

26698 error code ELIFECYCLE
26699 error errno 1
26700 error phantomjs-prebuilt@2.1.15 install: `node install.js`
26700 error Exit status 1
26701 error Failed at the phantomjs-prebuilt@2.1.15 install script.

品味独立安装:npm install phantomjs-prebuilt@贰.一.1肆 仍然报错

聊起底经过以下命令安装成功: 

npm install
phantomjs-prebuilt@2.1.14 –ignore-scripts

 

npm清除掉cache缓存

npm cache clean

npm cache clean –force

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图
Copyright @ 2010-2019 美高梅手机版4858 版权所有